<VirtualHost *:80>
  ServerAdmin techniek@lijst.wirelessleiden.nl
  DocumentRoot /var/empty
  ServerName osmproxy.wirelessleiden.nl
  ServerAlias a.osmproxy.wirelessleiden.nl b.osmproxy.wirelessleiden.nl c.osmproxy.wirelessleiden.nl d.osmproxy.wirelessleiden.nl e.osmproxy.wirelessleiden.nl f.osmproxy.wirelessleiden.nl
 
  ErrorLog /var/log/httpd/nl.wirelessleiden.osmproxy-error.log
  CustomLog /var/log/httpd/nl.wirelessleiden.osmproxy-access.log common
 
  <Directory /var/empty>
    Allow from all
  </Directory>
  
  <Proxy balancer://osmcluster>
    BalancerMember http://a.tile.openstreetmap.org:80 max=3
    BalancerMember http://b.tile.openstreetmap.org:80 max=3
    BalancerMember http://c.tile.openstreetmap.org:80 max=3
  </Proxy>
  # Example /7/63/43.png
  ProxyPassMatch ^/osm-tile-proxy/(\d{1,2}/\d{1,6}/\d{1,6}\.png)$ balancer://osmcluster/$1 lbmethod=byrequests
  CacheEnable disk /osm-tile-proxy/
  
  # 1 week
  CacheDefaultExpire 604800
  CacheRoot "/usr/local/var/httpd/cache/osmproxy"
  CacheDirLevels 2
  CacheDirLength 1
  CacheMaxFileSize 1000000
  CacheMinFileSize 1
  CacheIgnoreCacheControl On
  CacheIgnoreNoLastMod On
  CacheIgnoreQueryString Off
  CacheIgnoreHeaders None
  CacheLastModifiedFactor 0.1
  CacheMaxExpire 86400
  CacheStoreNoStore On
  CacheStorePrivate On
  
  
  <Location /balancer-manager>
    SetHandler balancer-manager
    
    Order Deny,Allow
    Allow from all
  </Location> 
</VirtualHost>


